--[[ For reference: ]]

local scr = Primitive.new()
scr:newRect(application:getContentWidth()/2, application:getContentHeight()/2, 3,3)
scr:setAnchorPoint(.5,.5)
stage:addChild(scr)

local anchor = Primitive.new()
anchor:newRect(101,101, 3,3)
anchor:setAnchorPoint(.5,.5)
stage:addChild(anchor)

local reference = Primitive.new()
reference:newRect(51,51, 101,101)
stage:addChild(reference)



--[[ The target Object: ]]

local rect = Primitive.new()
rect:newRect(101,101, 101,101)
stage:addChild(rect)


print("~> before any operation: ".."x,y("..rect:getX()..","..rect:getY()..")")


rect:setAnchorPoint(.5,0)

rect:setRotation(13)
rect:setScaleX(2)

print("~> after transformation: ".."x,y("..rect:getX()..","..rect:getY()..")")


rect:setAnchorPoint(.5,.5)

rect:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)

print("~> after translation: ".."x,y("..rect:getX()..","..rect:getY()..")")
